> ## Documentation Index
> Fetch the complete documentation index at: https://okapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml post /okapicrm.v1.OkapiCRMService/ListObjects
openapi: 3.1.0
info:
  description: ''
  title: Okapi
  version: v1.0.0-alpha
servers: []
security: []
tags:
  - description: ''
    name: okapicrm.v1.OkapiCRMService
paths:
  /okapicrm.v1.OkapiCRMService/ListObjects:
    post:
      tags:
        - okapicrm.v1.OkapiCRMService
      requestBody:
        $ref: >-
          #/components/requestBodies/okapicrm.v1.OkapiCRMService.ListObjects.okapicrm.v1.ListObjectsRequest
      responses:
        '200':
          $ref: >-
            #/components/responses/okapicrm.v1.OkapiCRMService.ListObjects.okapicrm.v1.ListObjectsResponse
        default:
          $ref: '#/components/responses/connect.error'
components:
  requestBodies:
    okapicrm.v1.OkapiCRMService.ListObjects.okapicrm.v1.ListObjectsRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/okapicrm.v1.ListObjectsRequest'
        application/proto:
          schema:
            $ref: '#/components/schemas/okapicrm.v1.ListObjectsRequest'
      required: true
  responses:
    okapicrm.v1.OkapiCRMService.ListObjects.okapicrm.v1.ListObjectsResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/okapicrm.v1.ListObjectsResponse'
        application/proto:
          schema:
            $ref: '#/components/schemas/okapicrm.v1.ListObjectsResponse'
      description: ''
    connect.error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/connect.error'
        application/proto:
          schema:
            $ref: '#/components/schemas/connect.error'
      description: ''
  schemas:
    okapicrm.v1.ListObjectsRequest:
      additionalProperties: false
      description: ''
      properties:
        includeArchived:
          additionalProperties: false
          description: ''
          title: include_archived
          type: boolean
        pageToken:
          additionalProperties: false
          description: ''
          title: page_token
          type: string
      title: ListObjectsRequest
      type: object
    okapicrm.v1.ListObjectsResponse:
      additionalProperties: false
      description: ''
      properties:
        nextPageToken:
          additionalProperties: false
          description: ''
          title: next_page_token
          type: string
        objects:
          additionalProperties: false
          description: ''
          items:
            $ref: '#/components/schemas/okapicrm.v1.Object'
            type: object
          title: objects
          type: array
      title: ListObjectsResponse
      type: object
    connect.error:
      additionalProperties: false
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
      properties:
        code:
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          enum:
            - CodeCanceled
            - CodeUnknown
            - CodeInvalidArgument
            - CodeDeadlineExceeded
            - CodeNotFound
            - CodeAlreadyExists
            - CodePermissionDenied
            - CodeResourceExhausted
            - CodeFailedPrecondition
            - CodeAborted
            - CodeOutOfRange
            - CodeInternal
            - CodeUnavailable
            - CodeDataLoss
            - CodeUnauthenticated
          examples:
            - CodeNotFound
          type: string
        detail:
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          type: array
        message:
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          type: string
      title: Connect Error
      type: object
    okapicrm.v1.Object:
      additionalProperties: false
      description: ''
      properties:
        apiName:
          additionalProperties: false
          description: ''
          title: api_name
          type: string
        archived:
          additionalProperties: false
          description: ''
          title: archived
          type: boolean
        displayNamePlural:
          additionalProperties: false
          description: ''
          title: display_name_plural
          type: string
        displayNameSingular:
          additionalProperties: false
          description: ''
          title: display_name_singular
          type: string
        fieldDefinitions:
          additionalProperties: false
          description: ''
          items:
            $ref: '#/components/schemas/okapicrm.v1.FieldDefinition'
            type: object
          title: field_definitions
          type: array
        iconDisplayFieldDefinitionApiName:
          additionalProperties: false
          description: ''
          title: icon_display_field_definition_api_name
          type: string
        id:
          additionalProperties: false
          description: ''
          title: id
          type: string
        primaryDisplayFieldDefinitionApiName:
          additionalProperties: false
          description: ''
          title: primary_display_field_definition_api_name
          type: string
        secondaryDisplayFieldDefinitionApiName:
          additionalProperties: false
          description: ''
          title: secondary_display_field_definition_api_name
          type: string
      title: Object
      type: object
    google.protobuf.Any:
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
      id: google.protobuf.Any
      properties:
        '@type':
          description: The type of the serialized message.
          type: string
      type: object
    okapicrm.v1.FieldDefinition:
      additionalProperties: false
      description: ''
      properties:
        allowedObjectIds:
          additionalProperties: false
          description: ''
          items:
            type: string
          title: allowed_object_ids
          type: array
        apiName:
          additionalProperties: false
          description: ''
          title: api_name
          type: string
        archived:
          additionalProperties: false
          description: ''
          title: archived
          type: boolean
        displayName:
          additionalProperties: false
          description: ''
          title: display_name
          type: string
        enumValues:
          additionalProperties: false
          description: ''
          items:
            $ref: '#/components/schemas/okapicrm.v1.EnumValue'
            type: object
          title: enum_values
          type: array
        formula:
          additionalProperties: false
          description: ''
          title: formula
          type: string
        id:
          additionalProperties: false
          description: ''
          title: id
          type: string
        type:
          $ref: '#/components/schemas/okapicrm.v1.FieldDefinitionType'
          additionalProperties: false
          description: ''
          title: type
        unique:
          additionalProperties: false
          description: ''
          title: unique
          type: boolean
      title: FieldDefinition
      type: object
    okapicrm.v1.EnumValue:
      additionalProperties: false
      description: ''
      properties:
        apiName:
          additionalProperties: false
          description: ''
          title: api_name
          type: string
        displayColor:
          $ref: '#/components/schemas/okapicrm.v1.EnumValueDisplayColor'
          additionalProperties: false
          description: ''
          title: display_color
        displayName:
          additionalProperties: false
          description: ''
          title: display_name
          type: string
      title: EnumValue
      type: object
    okapicrm.v1.FieldDefinitionType:
      description: ''
      enum:
        - - FIELD_DEFINITION_TYPE_UNSPECIFIED
          - FIELD_DEFINITION_TYPE_BOOLEAN
          - FIELD_DEFINITION_TYPE_NUMBER
          - FIELD_DEFINITION_TYPE_STRING
          - FIELD_DEFINITION_TYPE_TIMESTAMP
          - FIELD_DEFINITION_TYPE_USER_ID
          - FIELD_DEFINITION_TYPE_RECORD_ID
          - FIELD_DEFINITION_TYPE_ENUM
      title: FieldDefinitionType
      type: string
    okapicrm.v1.EnumValueDisplayColor:
      description: ''
      enum:
        - - ENUM_VALUE_DISPLAY_COLOR_UNSPECIFIED
          - ENUM_VALUE_DISPLAY_COLOR_RED
          - ENUM_VALUE_DISPLAY_COLOR_ORANGE
          - ENUM_VALUE_DISPLAY_COLOR_YELLOW
          - ENUM_VALUE_DISPLAY_COLOR_GREEN
          - ENUM_VALUE_DISPLAY_COLOR_BLUE
          - ENUM_VALUE_DISPLAY_COLOR_VIOLET
      title: EnumValueDisplayColor
      type: string

````